/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Graph", "index.html", [
    [ "Namespaces", "namespaces.html", [
      [ "ConnectedComponentsTypeHelper", "structinternal_1_1_connected_components_type_helper.html", "structinternal_1_1_connected_components_type_helper" ],
      [ "TailArrayBuilder", "structoperations__research_1_1or__internal_1_1_tail_array_builder.html", "structoperations__research_1_1or__internal_1_1_tail_array_builder" ],
      [ "TailArrayBuilder< GraphType, false >", "structoperations__research_1_1or__internal_1_1_tail_array_builder_3_01_graph_type_00_01false_01_4.html", "structoperations__research_1_1or__internal_1_1_tail_array_builder_3_01_graph_type_00_01false_01_4" ],
      [ "TailArrayReleaser", "structoperations__research_1_1or__internal_1_1_tail_array_releaser.html", "structoperations__research_1_1or__internal_1_1_tail_array_releaser" ],
      [ "TailArrayReleaser< GraphType, false >", "structoperations__research_1_1or__internal_1_1_tail_array_releaser_3_01_graph_type_00_01false_01_4.html", "structoperations__research_1_1or__internal_1_1_tail_array_releaser_3_01_graph_type_00_01false_01_4" ],
      [ "GraphBuilderFromArcs", "classoperations__research_1_1or__internal_1_1_graph_builder_from_arcs.html", "classoperations__research_1_1or__internal_1_1_graph_builder_from_arcs" ],
      [ "GraphBuilderFromArcs< GraphType, true >", "classoperations__research_1_1or__internal_1_1_graph_builder_from_arcs_3_01_graph_type_00_01true_01_4.html", "classoperations__research_1_1or__internal_1_1_graph_builder_from_arcs_3_01_graph_type_00_01true_01_4" ],
      [ "ChristofidesPathSolver", "classoperations__research_1_1_christofides_path_solver.html", "classoperations__research_1_1_christofides_path_solver" ],
      [ "BronKerboschAlgorithm", "classoperations__research_1_1_bron_kerbosch_algorithm.html", "classoperations__research_1_1_bron_kerbosch_algorithm" ],
      [ "EbertGraph", "classoperations__research_1_1_ebert_graph.html", "classoperations__research_1_1_ebert_graph" ],
      [ "ForwardEbertGraph", "classoperations__research_1_1_forward_ebert_graph.html", "classoperations__research_1_1_forward_ebert_graph" ],
      [ "ForwardStaticGraph", "classoperations__research_1_1_forward_static_graph.html", "classoperations__research_1_1_forward_static_graph" ],
      [ "StarGraphBase", "classoperations__research_1_1_star_graph_base.html", "classoperations__research_1_1_star_graph_base" ],
      [ "PermutationIndexComparisonByArcHead", "classoperations__research_1_1_permutation_index_comparison_by_arc_head.html", "classoperations__research_1_1_permutation_index_comparison_by_arc_head" ],
      [ "EbertGraphBase", "classoperations__research_1_1_ebert_graph_base.html", "classoperations__research_1_1_ebert_graph_base" ],
      [ "graph_traits", "structoperations__research_1_1graph__traits.html", "structoperations__research_1_1graph__traits" ],
      [ "graph_traits< ForwardEbertGraph< NodeIndexType, ArcIndexType > >", "structoperations__research_1_1graph__traits_3_01_forward_ebert_graph_3_01_node_index_type_00_01_arc_index_type_01_4_01_4.html", "structoperations__research_1_1graph__traits_3_01_forward_ebert_graph_3_01_node_index_type_00_01_arc_index_type_01_4_01_4" ],
      [ "graph_traits< ForwardStaticGraph< NodeIndexType, ArcIndexType > >", "structoperations__research_1_1graph__traits_3_01_forward_static_graph_3_01_node_index_type_00_01_arc_index_type_01_4_01_4.html", "structoperations__research_1_1graph__traits_3_01_forward_static_graph_3_01_node_index_type_00_01_arc_index_type_01_4_01_4" ],
      [ "TailArrayManager", "classoperations__research_1_1_tail_array_manager.html", "classoperations__research_1_1_tail_array_manager" ],
      [ "ArcFunctorOrderingByTailAndHead", "classoperations__research_1_1_arc_functor_ordering_by_tail_and_head.html", "classoperations__research_1_1_arc_functor_ordering_by_tail_and_head" ],
      [ "AnnotatedGraphBuildManager", "classoperations__research_1_1_annotated_graph_build_manager.html", "classoperations__research_1_1_annotated_graph_build_manager" ],
      [ "Graphs", "structoperations__research_1_1_graphs.html", "structoperations__research_1_1_graphs" ],
      [ "Graphs< operations_research::StarGraph >", "structoperations__research_1_1_graphs_3_01operations__research_1_1_star_graph_01_4.html", "structoperations__research_1_1_graphs_3_01operations__research_1_1_star_graph_01_4" ],
      [ "ElementIterator", "classoperations__research_1_1_element_iterator.html", "classoperations__research_1_1_element_iterator" ],
      [ "Set", "classoperations__research_1_1_set.html", "classoperations__research_1_1_set" ],
      [ "SetRangeIterator", "classoperations__research_1_1_set_range_iterator.html", "classoperations__research_1_1_set_range_iterator" ],
      [ "SetRangeWithCardinality", "classoperations__research_1_1_set_range_with_cardinality.html", "classoperations__research_1_1_set_range_with_cardinality" ],
      [ "LatticeMemoryManager", "classoperations__research_1_1_lattice_memory_manager.html", "classoperations__research_1_1_lattice_memory_manager" ],
      [ "HamiltonianPathSolver", "classoperations__research_1_1_hamiltonian_path_solver.html", "classoperations__research_1_1_hamiltonian_path_solver" ],
      [ "PruningHamiltonianSolver", "classoperations__research_1_1_pruning_hamiltonian_solver.html", "classoperations__research_1_1_pruning_hamiltonian_solver" ],
      [ "LinearSumAssignment", "classoperations__research_1_1_linear_sum_assignment.html", "classoperations__research_1_1_linear_sum_assignment" ],
      [ "CostValueCycleHandler", "classoperations__research_1_1_cost_value_cycle_handler.html", "classoperations__research_1_1_cost_value_cycle_handler" ],
      [ "ArcIndexOrderingByTailNode", "classoperations__research_1_1_arc_index_ordering_by_tail_node.html", "classoperations__research_1_1_arc_index_ordering_by_tail_node" ],
      [ "GenericMaxFlow", "classoperations__research_1_1_generic_max_flow.html", "classoperations__research_1_1_generic_max_flow" ],
      [ "SimpleMaxFlow", "classoperations__research_1_1_simple_max_flow.html", "classoperations__research_1_1_simple_max_flow" ],
      [ "PriorityQueueWithRestrictedPush", "classoperations__research_1_1_priority_queue_with_restricted_push.html", "classoperations__research_1_1_priority_queue_with_restricted_push" ],
      [ "MaxFlowStatusClass", "classoperations__research_1_1_max_flow_status_class.html", "classoperations__research_1_1_max_flow_status_class" ],
      [ "MaxFlow", "classoperations__research_1_1_max_flow.html", "classoperations__research_1_1_max_flow" ],
      [ "GenericMinCostFlow", "classoperations__research_1_1_generic_min_cost_flow.html", "classoperations__research_1_1_generic_min_cost_flow" ],
      [ "MinCostFlowBase", "classoperations__research_1_1_min_cost_flow_base.html", "classoperations__research_1_1_min_cost_flow_base" ],
      [ "SimpleMinCostFlow", "classoperations__research_1_1_simple_min_cost_flow.html", "classoperations__research_1_1_simple_min_cost_flow" ],
      [ "MinCostFlow", "classoperations__research_1_1_min_cost_flow.html", "classoperations__research_1_1_min_cost_flow" ],
      [ "VolgenantJonkerEvaluator", "classoperations__research_1_1_volgenant_jonker_evaluator.html", "classoperations__research_1_1_volgenant_jonker_evaluator" ],
      [ "HeldWolfeCrowderEvaluator", "classoperations__research_1_1_held_wolfe_crowder_evaluator.html", "classoperations__research_1_1_held_wolfe_crowder_evaluator" ],
      [ "TravelingSalesmanLowerBoundParameters", "structoperations__research_1_1_traveling_salesman_lower_bound_parameters.html", "structoperations__research_1_1_traveling_salesman_lower_bound_parameters" ],
      [ "ArcIndex", "namespaceoperations__research.html#ad90a9fc7d16bb2c98a088a4162bbbc9d", null ],
      [ "ArcIndexArray", "namespaceoperations__research.html#ad2ab85b2912dbf12804d3d1ddea9ec15", null ],
      [ "CostArray", "namespaceoperations__research.html#acbdd6fd1484828a3d5e809c551ba8cf7", null ],
      [ "CostValue", "namespaceoperations__research.html#a026ab0f83bfbeba2607959633753ff2e", null ],
      [ "FlowQuantity", "namespaceoperations__research.html#ab161c9ccc8667340cc3dc656d490f260", null ],
      [ "ForwardStarGraph", "namespaceoperations__research.html#ab49bc230c31b15a51efb44be25b30472", null ],
      [ "ForwardStarStaticGraph", "namespaceoperations__research.html#ab2ba507587a78ec3b72a0d62c024bc7e", null ],
      [ "NodeIndex", "namespaceoperations__research.html#a272bcc4d6ee0e87a7fc430a5cb13c582", null ],
      [ "NodeIndexArray", "namespaceoperations__research.html#a48bfd7172b9a8af435198c373a8cf5e4", null ],
      [ "PathNodeIndex", "namespaceoperations__research.html#ae8625c5e71962a0f99954d34dab9f92d", null ],
      [ "QuantityArray", "namespaceoperations__research.html#a03fc0981d2d99da114ccd8b3abc0c6e1", null ],
      [ "StarGraph", "namespaceoperations__research.html#af24b13c27331f67db15d6c2a3f3507e3", null ],
      [ "BronKerboschAlgorithmStatus", "namespaceoperations__research.html#abd4e546b0e3afb0208c7a44ee6ab4ea8", [
        [ "COMPLETED", "namespaceoperations__research.html#abd4e546b0e3afb0208c7a44ee6ab4ea8a8f7afecbc8fbc4cd0f50a57d1172482e", null ],
        [ "INTERRUPTED", "namespaceoperations__research.html#abd4e546b0e3afb0208c7a44ee6ab4ea8a658f2cadfdf09b6046246e9314f7cd43", null ]
      ] ],
      [ "CliqueResponse", "namespaceoperations__research.html#ae6df4b4cb7c39ca06812199bbee9119c", [
        [ "CONTINUE", "namespaceoperations__research.html#ae6df4b4cb7c39ca06812199bbee9119ca2f453cfe638e57e27bb0c9512436111e", null ],
        [ "STOP", "namespaceoperations__research.html#ae6df4b4cb7c39ca06812199bbee9119ca615a46af313786fc4e349f34118be111", null ]
      ] ],
      [ "AddArcsFromMinimumSpanningTree", "namespaceoperations__research.html#adfc52ee652f25f3a2f249ffb830f2e8a", null ],
      [ "AStarShortestPath", "namespaceoperations__research.html#acff272be25bcf9641218c05c59ec1a4e", null ],
      [ "BellmanFordShortestPath", "namespaceoperations__research.html#ad5bfec6ea714171fbff2d8b791d0d286", null ],
      [ "BuildEulerianPath", "namespaceoperations__research.html#a49b170b2d03863c465331e67b21f0c33", null ],
      [ "BuildEulerianPathFromNode", "namespaceoperations__research.html#a743d8c9d6f64531bdeb7bbf18023e9d4", null ],
      [ "BuildEulerianTour", "namespaceoperations__research.html#a034666fe63ca105b735272974006362a", null ],
      [ "BuildEulerianTourFromNode", "namespaceoperations__research.html#aa63055860fc53f8eed56d23d2571c180", null ],
      [ "BuildKruskalMinimumSpanningTree", "namespaceoperations__research.html#aa565a47a059ef32ef1aec39768e4ec98", null ],
      [ "BuildKruskalMinimumSpanningTreeFromSortedArcs", "namespaceoperations__research.html#a00ab79ee21ffd8dece0996e37f9faa7a", null ],
      [ "BuildLineGraph", "namespaceoperations__research.html#acb53c505b8fd29ceb3abdcc7dfd809ce", null ],
      [ "BuildPrimMinimumSpanningTree", "namespaceoperations__research.html#a33a2f4c26fd60cd0fa98257b571c974f", null ],
      [ "ComputeMinimumWeightMatching", "namespaceoperations__research.html#a08c4f1d4e19627689e141cf08b9f77bc", null ],
      [ "ComputeMinimumWeightMatchingWithMIP", "namespaceoperations__research.html#a93c78280670aaeea4913d156699a403a", null ],
      [ "ComputeOneTree", "namespaceoperations__research.html#aa29730f0377a3408590f4e621af966eb", null ],
      [ "ComputeOneTreeLowerBound", "namespaceoperations__research.html#ae9af26e7687cb65967941eb175148fe5", null ],
      [ "ComputeOneTreeLowerBoundWithAlgorithm", "namespaceoperations__research.html#a3ed3d609fa06ad508b3d21119f94a560", null ],
      [ "ComputeOneTreeLowerBoundWithParameters", "namespaceoperations__research.html#a516a7ec8626d689aa84729fb6f358f89", null ],
      [ "CoverArcsByCliques", "namespaceoperations__research.html#afe4b5a6c0e4019314f288e3f4307c114", null ],
      [ "DijkstraShortestPath", "namespaceoperations__research.html#a53e6a83fcbd689abf5b3078b0236f9f1", null ],
      [ "FindCliques", "namespaceoperations__research.html#a509097448ff5705cf3e64d889362bdec", null ],
      [ "GetNodeMinimizingEdgeCostToSource", "namespaceoperations__research.html#aeae6cf89ac4d73d2e95cffaa0edbd687", null ],
      [ "IsEulerianGraph", "namespaceoperations__research.html#ab1cf773de0cae72d0c44efe5b8f4bb89", null ],
      [ "IsSemiEulerianGraph", "namespaceoperations__research.html#a6b312dd19c90b2af099e6f159869f7ee", null ],
      [ "MakeHamiltonianPathSolver", "namespaceoperations__research.html#a715b0dbb9f0903ab629b8c6da1b35b45", null ],
      [ "NearestNeighbors", "namespaceoperations__research.html#a078701f3ce8570abe24e8157029c8abf", null ],
      [ "StableDijkstraShortestPath", "namespaceoperations__research.html#ad56bae19a2298c3163af96ca7f8b89b1", null ],
      [ "SVector", "classutil_1_1_s_vector.html", "classutil_1_1_s_vector" ],
      [ "BaseGraph", "classutil_1_1_base_graph.html", "classutil_1_1_base_graph" ],
      [ "ListGraph", "classutil_1_1_list_graph.html", "classutil_1_1_list_graph" ],
      [ "StaticGraph", "classutil_1_1_static_graph.html", "classutil_1_1_static_graph" ],
      [ "ReverseArcListGraph", "classutil_1_1_reverse_arc_list_graph.html", "classutil_1_1_reverse_arc_list_graph" ],
      [ "ReverseArcStaticGraph", "classutil_1_1_reverse_arc_static_graph.html", "classutil_1_1_reverse_arc_static_graph" ],
      [ "ReverseArcMixedGraph", "classutil_1_1_reverse_arc_mixed_graph.html", "classutil_1_1_reverse_arc_mixed_graph" ],
      [ "CompleteGraph", "classutil_1_1_complete_graph.html", "classutil_1_1_complete_graph" ],
      [ "CompleteBipartiteGraph", "classutil_1_1_complete_bipartite_graph.html", "classutil_1_1_complete_bipartite_graph" ],
      [ "BeginEndWrapper", "classutil_1_1_begin_end_wrapper.html", "classutil_1_1_begin_end_wrapper" ],
      [ "BeginEndReverseIteratorWrapper", "classutil_1_1_begin_end_reverse_iterator_wrapper.html", "classutil_1_1_begin_end_reverse_iterator_wrapper" ],
      [ "IntegerRangeIterator", "classutil_1_1_integer_range_iterator.html", "classutil_1_1_integer_range_iterator" ],
      [ "IntegerRange", "classutil_1_1_integer_range.html", "classutil_1_1_integer_range" ],
      [ "MutableVectorIteration", "structutil_1_1_mutable_vector_iteration.html", "structutil_1_1_mutable_vector_iteration" ],
      [ "UndirectedAdjacencyListsOfDirectedGraph", "classutil_1_1_undirected_adjacency_lists_of_directed_graph.html", "classutil_1_1_undirected_adjacency_lists_of_directed_graph" ],
      [ "Graph", "namespaceutil.html#a2f76166dbe0c4055a1f256235ad00478", null ],
      [ "GraphToStringFormat", "namespaceutil.html#a2d1e9c029dfaa2e8dfd58862836440b9", [
        [ "PRINT_GRAPH_ARCS", "namespaceutil.html#a2d1e9c029dfaa2e8dfd58862836440b9a59afa9bae775818b44690c5d14cdf8d0", null ],
        [ "PRINT_GRAPH_ADJACENCY_LISTS", "namespaceutil.html#a2d1e9c029dfaa2e8dfd58862836440b9ac932364714f74e3ca75990c8126019a1", null ],
        [ "PRINT_GRAPH_ADJACENCY_LISTS_SORTED", "namespaceutil.html#a2d1e9c029dfaa2e8dfd58862836440b9ada36744a3f529ceb03e7c1faa842854d", null ]
      ] ],
      [ "BeginEndRange", "namespaceutil.html#a6b60a1e770e9ea02f9a55ee83c0c4254", null ],
      [ "BeginEndRange", "namespaceutil.html#a8355949dec0fbbe93b76f528257c3507", null ],
      [ "ComputeOnePossibleReverseArcMapping", "namespaceutil.html#a00a901881f9035f66a4204da4c0ea3e5", null ],
      [ "CopyGraph", "namespaceutil.html#ae5f98804c317dda817bff628d868c4dd", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#a37be0131ae922e30a286797a0bef0c96", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#a4d0ae05975a2063f2edbeb749f690fc7", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#a863ccdb51afb5ef92fe6c94188a5f7e0", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#a3098e161a6aceeca482be78d2d221b3b", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#a22b5dcc01043ab8da01ebab71ec3ad31", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#a3c022b68f68916770fe09996df2f35a3", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#a6ce1a67d16c75b202f56301321a457c6", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#ab3308688d13e59e2351bef038ce1fdb0", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#a97910ddfce7560b406aa3f4939434eb8", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#a2a51d676cd5d9354bfe1f80d09c44f39", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#a1728675285eb75f9f18d6ed7c134d0b6", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#a2cc2a1037195d237820edc97d35404be", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#a1db1a919e67261878ff8abda53e664c7", null ],
      [ "DEFINE_RANGE_BASED_ARC_ITERATION", "namespaceutil.html#af3c40fc068f645d9dcd15c332e44fc25", null ],
      [ "EqualRange", "namespaceutil.html#a01ae95d99994fa2890e2e927033eac18", null ],
      [ "EqualRange", "namespaceutil.html#aec325ff78fd1f5eb0ca0e22cac85ef5f", null ],
      [ "GetConnectedComponents", "namespaceutil.html#a366d433bd2afb387ea527c581447dffc", null ],
      [ "GetSubgraphOfNodes", "namespaceutil.html#a99094e047812eb44a7c2b3b82091f560", null ],
      [ "GetWeaklyConnectedComponents", "namespaceutil.html#ab34783e729bb5fc99042893f6bfcbb2f", null ],
      [ "GraphHasDuplicateArcs", "namespaceutil.html#a7cab01cf2313ef202fdb8d1540430c1c", null ],
      [ "GraphHasSelfArcs", "namespaceutil.html#a9aedc5b3920b0ce89959be43ece7625b", null ],
      [ "GraphIsSymmetric", "namespaceutil.html#aa94a02ae5c14feb50676668f2de166dc", null ],
      [ "GraphIsWeaklyConnected", "namespaceutil.html#ab66702bf387ec38027c1f94444872510", null ],
      [ "GraphToString", "namespaceutil.html#a372b5c94ec5d30f923449516ebc2a963", null ],
      [ "IsSubsetOf0N", "namespaceutil.html#aa9fb4c9a176acaf72053b11727436e9e", null ],
      [ "IsValidPermutation", "namespaceutil.html#ad7986b01cf61a31c09a27b4a97db6a83", null ],
      [ "PathHasCycle", "namespaceutil.html#a3215b610ebe65cde55008dc1367c434e", null ],
      [ "Permute", "namespaceutil.html#a8c227a057c1ce9d46b1185abf77ad91e", null ],
      [ "Permute", "namespaceutil.html#ac497881c4166bc694adc4bee62746118", null ],
      [ "PermuteWithExplicitElementType", "namespaceutil.html#a9470623ca7db3c4a62ce3b326c6b07d8", null ],
      [ "ReadGraphFile", "namespaceutil.html#ac1f20692bcd36ed6d01b970af9eb2972", null ],
      [ "RemapGraph", "namespaceutil.html#aab5724a929530fa1d28749dc82852388", null ],
      [ "RemoveCyclesFromPath", "namespaceutil.html#a77ac83968fcb358183853127d83d595a", null ],
      [ "RemoveSelfArcsAndDuplicateArcs", "namespaceutil.html#a95c44a2c444a459f0866bd5607537314", null ],
      [ "Reverse", "namespaceutil.html#a1e2d5c05e25343bc8e4fbccce0000d51", null ],
      [ "WriteGraphToFile", "namespaceutil.html#a45fca0c4762006176ad5622ec40dea9c", null ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "ConnectedComponentsTypeHelper", "structinternal_1_1_connected_components_type_helper.html", "structinternal_1_1_connected_components_type_helper" ],
      [ "TailArrayBuilder", "structoperations__research_1_1or__internal_1_1_tail_array_builder.html", "structoperations__research_1_1or__internal_1_1_tail_array_builder" ],
      [ "TailArrayBuilder< GraphType, false >", "structoperations__research_1_1or__internal_1_1_tail_array_builder_3_01_graph_type_00_01false_01_4.html", "structoperations__research_1_1or__internal_1_1_tail_array_builder_3_01_graph_type_00_01false_01_4" ],
      [ "TailArrayReleaser", "structoperations__research_1_1or__internal_1_1_tail_array_releaser.html", "structoperations__research_1_1or__internal_1_1_tail_array_releaser" ],
      [ "TailArrayReleaser< GraphType, false >", "structoperations__research_1_1or__internal_1_1_tail_array_releaser_3_01_graph_type_00_01false_01_4.html", "structoperations__research_1_1or__internal_1_1_tail_array_releaser_3_01_graph_type_00_01false_01_4" ],
      [ "GraphBuilderFromArcs", "classoperations__research_1_1or__internal_1_1_graph_builder_from_arcs.html", "classoperations__research_1_1or__internal_1_1_graph_builder_from_arcs" ],
      [ "GraphBuilderFromArcs< GraphType, true >", "classoperations__research_1_1or__internal_1_1_graph_builder_from_arcs_3_01_graph_type_00_01true_01_4.html", "classoperations__research_1_1or__internal_1_1_graph_builder_from_arcs_3_01_graph_type_00_01true_01_4" ],
      [ "ChristofidesPathSolver", "classoperations__research_1_1_christofides_path_solver.html", "classoperations__research_1_1_christofides_path_solver" ],
      [ "BronKerboschAlgorithm", "classoperations__research_1_1_bron_kerbosch_algorithm.html", "classoperations__research_1_1_bron_kerbosch_algorithm" ],
      [ "EbertGraph", "classoperations__research_1_1_ebert_graph.html", "classoperations__research_1_1_ebert_graph" ],
      [ "ForwardEbertGraph", "classoperations__research_1_1_forward_ebert_graph.html", "classoperations__research_1_1_forward_ebert_graph" ],
      [ "ForwardStaticGraph", "classoperations__research_1_1_forward_static_graph.html", "classoperations__research_1_1_forward_static_graph" ],
      [ "StarGraphBase", "classoperations__research_1_1_star_graph_base.html", "classoperations__research_1_1_star_graph_base" ],
      [ "PermutationIndexComparisonByArcHead", "classoperations__research_1_1_permutation_index_comparison_by_arc_head.html", "classoperations__research_1_1_permutation_index_comparison_by_arc_head" ],
      [ "EbertGraphBase", "classoperations__research_1_1_ebert_graph_base.html", "classoperations__research_1_1_ebert_graph_base" ],
      [ "graph_traits", "structoperations__research_1_1graph__traits.html", "structoperations__research_1_1graph__traits" ],
      [ "graph_traits< ForwardEbertGraph< NodeIndexType, ArcIndexType > >", "structoperations__research_1_1graph__traits_3_01_forward_ebert_graph_3_01_node_index_type_00_01_arc_index_type_01_4_01_4.html", "structoperations__research_1_1graph__traits_3_01_forward_ebert_graph_3_01_node_index_type_00_01_arc_index_type_01_4_01_4" ],
      [ "graph_traits< ForwardStaticGraph< NodeIndexType, ArcIndexType > >", "structoperations__research_1_1graph__traits_3_01_forward_static_graph_3_01_node_index_type_00_01_arc_index_type_01_4_01_4.html", "structoperations__research_1_1graph__traits_3_01_forward_static_graph_3_01_node_index_type_00_01_arc_index_type_01_4_01_4" ],
      [ "TailArrayManager", "classoperations__research_1_1_tail_array_manager.html", "classoperations__research_1_1_tail_array_manager" ],
      [ "ArcFunctorOrderingByTailAndHead", "classoperations__research_1_1_arc_functor_ordering_by_tail_and_head.html", "classoperations__research_1_1_arc_functor_ordering_by_tail_and_head" ],
      [ "AnnotatedGraphBuildManager", "classoperations__research_1_1_annotated_graph_build_manager.html", "classoperations__research_1_1_annotated_graph_build_manager" ],
      [ "Graphs", "structoperations__research_1_1_graphs.html", "structoperations__research_1_1_graphs" ],
      [ "Graphs< operations_research::StarGraph >", "structoperations__research_1_1_graphs_3_01operations__research_1_1_star_graph_01_4.html", "structoperations__research_1_1_graphs_3_01operations__research_1_1_star_graph_01_4" ],
      [ "ElementIterator", "classoperations__research_1_1_element_iterator.html", "classoperations__research_1_1_element_iterator" ],
      [ "Set", "classoperations__research_1_1_set.html", "classoperations__research_1_1_set" ],
      [ "SetRangeIterator", "classoperations__research_1_1_set_range_iterator.html", "classoperations__research_1_1_set_range_iterator" ],
      [ "SetRangeWithCardinality", "classoperations__research_1_1_set_range_with_cardinality.html", "classoperations__research_1_1_set_range_with_cardinality" ],
      [ "LatticeMemoryManager", "classoperations__research_1_1_lattice_memory_manager.html", "classoperations__research_1_1_lattice_memory_manager" ],
      [ "HamiltonianPathSolver", "classoperations__research_1_1_hamiltonian_path_solver.html", "classoperations__research_1_1_hamiltonian_path_solver" ],
      [ "PruningHamiltonianSolver", "classoperations__research_1_1_pruning_hamiltonian_solver.html", "classoperations__research_1_1_pruning_hamiltonian_solver" ],
      [ "LinearSumAssignment", "classoperations__research_1_1_linear_sum_assignment.html", "classoperations__research_1_1_linear_sum_assignment" ],
      [ "CostValueCycleHandler", "classoperations__research_1_1_cost_value_cycle_handler.html", "classoperations__research_1_1_cost_value_cycle_handler" ],
      [ "ArcIndexOrderingByTailNode", "classoperations__research_1_1_arc_index_ordering_by_tail_node.html", "classoperations__research_1_1_arc_index_ordering_by_tail_node" ],
      [ "GenericMaxFlow", "classoperations__research_1_1_generic_max_flow.html", "classoperations__research_1_1_generic_max_flow" ],
      [ "SimpleMaxFlow", "classoperations__research_1_1_simple_max_flow.html", "classoperations__research_1_1_simple_max_flow" ],
      [ "PriorityQueueWithRestrictedPush", "classoperations__research_1_1_priority_queue_with_restricted_push.html", "classoperations__research_1_1_priority_queue_with_restricted_push" ],
      [ "MaxFlowStatusClass", "classoperations__research_1_1_max_flow_status_class.html", "classoperations__research_1_1_max_flow_status_class" ],
      [ "MaxFlow", "classoperations__research_1_1_max_flow.html", "classoperations__research_1_1_max_flow" ],
      [ "GenericMinCostFlow", "classoperations__research_1_1_generic_min_cost_flow.html", "classoperations__research_1_1_generic_min_cost_flow" ],
      [ "MinCostFlowBase", "classoperations__research_1_1_min_cost_flow_base.html", "classoperations__research_1_1_min_cost_flow_base" ],
      [ "SimpleMinCostFlow", "classoperations__research_1_1_simple_min_cost_flow.html", "classoperations__research_1_1_simple_min_cost_flow" ],
      [ "MinCostFlow", "classoperations__research_1_1_min_cost_flow.html", "classoperations__research_1_1_min_cost_flow" ],
      [ "VolgenantJonkerEvaluator", "classoperations__research_1_1_volgenant_jonker_evaluator.html", "classoperations__research_1_1_volgenant_jonker_evaluator" ],
      [ "HeldWolfeCrowderEvaluator", "classoperations__research_1_1_held_wolfe_crowder_evaluator.html", "classoperations__research_1_1_held_wolfe_crowder_evaluator" ],
      [ "TravelingSalesmanLowerBoundParameters", "structoperations__research_1_1_traveling_salesman_lower_bound_parameters.html", "structoperations__research_1_1_traveling_salesman_lower_bound_parameters" ],
      [ "SVector", "classutil_1_1_s_vector.html", "classutil_1_1_s_vector" ],
      [ "BaseGraph", "classutil_1_1_base_graph.html", "classutil_1_1_base_graph" ],
      [ "ListGraph", "classutil_1_1_list_graph.html", "classutil_1_1_list_graph" ],
      [ "StaticGraph", "classutil_1_1_static_graph.html", "classutil_1_1_static_graph" ],
      [ "ReverseArcListGraph", "classutil_1_1_reverse_arc_list_graph.html", "classutil_1_1_reverse_arc_list_graph" ],
      [ "ReverseArcStaticGraph", "classutil_1_1_reverse_arc_static_graph.html", "classutil_1_1_reverse_arc_static_graph" ],
      [ "ReverseArcMixedGraph", "classutil_1_1_reverse_arc_mixed_graph.html", "classutil_1_1_reverse_arc_mixed_graph" ],
      [ "CompleteGraph", "classutil_1_1_complete_graph.html", "classutil_1_1_complete_graph" ],
      [ "CompleteBipartiteGraph", "classutil_1_1_complete_bipartite_graph.html", "classutil_1_1_complete_bipartite_graph" ],
      [ "BeginEndWrapper", "classutil_1_1_begin_end_wrapper.html", "classutil_1_1_begin_end_wrapper" ],
      [ "BeginEndReverseIteratorWrapper", "classutil_1_1_begin_end_reverse_iterator_wrapper.html", "classutil_1_1_begin_end_reverse_iterator_wrapper" ],
      [ "IntegerRangeIterator", "classutil_1_1_integer_range_iterator.html", "classutil_1_1_integer_range_iterator" ],
      [ "IntegerRange", "classutil_1_1_integer_range.html", "classutil_1_1_integer_range" ],
      [ "MutableVectorIteration", "structutil_1_1_mutable_vector_iteration.html", "structutil_1_1_mutable_vector_iteration" ],
      [ "UndirectedAdjacencyListsOfDirectedGraph", "classutil_1_1_undirected_adjacency_lists_of_directed_graph.html", "classutil_1_1_undirected_adjacency_lists_of_directed_graph" ],
      [ "ConnectedComponentsFinder", "class_connected_components_finder.html", "class_connected_components_finder" ],
      [ "DenseConnectedComponentsFinder", "class_dense_connected_components_finder.html", "class_dense_connected_components_finder" ],
      [ "SccCounterOutput", "struct_scc_counter_output.html", "struct_scc_counter_output" ],
      [ "StronglyConnectedComponentsFinder", "class_strongly_connected_components_finder.html", "class_strongly_connected_components_finder" ]
    ] ],
    [ "Files", "files.html", null ]
  ] ]
];

var NAVTREEINDEX =
[
"index.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';