/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Routing", "index.html", [
    [ "Namespaces", "namespaces.html", [
      [ "SimpleRevFIFO", "classoperations__research_1_1_simple_rev_f_i_f_o.html", "classoperations__research_1_1_simple_rev_f_i_f_o" ],
      [ "DefaultPhaseParameters", "structoperations__research_1_1_default_phase_parameters.html", "structoperations__research_1_1_default_phase_parameters" ],
      [ "Solver", "classoperations__research_1_1_solver.html", "classoperations__research_1_1_solver" ],
      [ "BaseObject", "classoperations__research_1_1_base_object.html", "classoperations__research_1_1_base_object" ],
      [ "PropagationBaseObject", "classoperations__research_1_1_propagation_base_object.html", "classoperations__research_1_1_propagation_base_object" ],
      [ "Decision", "classoperations__research_1_1_decision.html", "classoperations__research_1_1_decision" ],
      [ "DecisionVisitor", "classoperations__research_1_1_decision_visitor.html", "classoperations__research_1_1_decision_visitor" ],
      [ "DecisionBuilder", "classoperations__research_1_1_decision_builder.html", "classoperations__research_1_1_decision_builder" ],
      [ "Demon", "classoperations__research_1_1_demon.html", "classoperations__research_1_1_demon" ],
      [ "ModelVisitor", "classoperations__research_1_1_model_visitor.html", "classoperations__research_1_1_model_visitor" ],
      [ "Constraint", "classoperations__research_1_1_constraint.html", "classoperations__research_1_1_constraint" ],
      [ "CastConstraint", "classoperations__research_1_1_cast_constraint.html", "classoperations__research_1_1_cast_constraint" ],
      [ "SearchMonitor", "classoperations__research_1_1_search_monitor.html", "classoperations__research_1_1_search_monitor" ],
      [ "Rev", "classoperations__research_1_1_rev.html", "classoperations__research_1_1_rev" ],
      [ "NumericalRev", "classoperations__research_1_1_numerical_rev.html", "classoperations__research_1_1_numerical_rev" ],
      [ "RevArray", "classoperations__research_1_1_rev_array.html", "classoperations__research_1_1_rev_array" ],
      [ "NumericalRevArray", "classoperations__research_1_1_numerical_rev_array.html", "classoperations__research_1_1_numerical_rev_array" ],
      [ "IntExpr", "classoperations__research_1_1_int_expr.html", "classoperations__research_1_1_int_expr" ],
      [ "IntVarIterator", "classoperations__research_1_1_int_var_iterator.html", "classoperations__research_1_1_int_var_iterator" ],
      [ "InitAndGetValues", "classoperations__research_1_1_init_and_get_values.html", "classoperations__research_1_1_init_and_get_values" ],
      [ "IntVar", "classoperations__research_1_1_int_var.html", "classoperations__research_1_1_int_var" ],
      [ "SolutionCollector", "classoperations__research_1_1_solution_collector.html", "classoperations__research_1_1_solution_collector" ],
      [ "OptimizeVar", "classoperations__research_1_1_optimize_var.html", "classoperations__research_1_1_optimize_var" ],
      [ "SearchLimit", "classoperations__research_1_1_search_limit.html", "classoperations__research_1_1_search_limit" ],
      [ "RegularLimit", "classoperations__research_1_1_regular_limit.html", "classoperations__research_1_1_regular_limit" ],
      [ "ImprovementSearchLimit", "classoperations__research_1_1_improvement_search_limit.html", "classoperations__research_1_1_improvement_search_limit" ],
      [ "IntervalVar", "classoperations__research_1_1_interval_var.html", "classoperations__research_1_1_interval_var" ],
      [ "SequenceVar", "classoperations__research_1_1_sequence_var.html", "classoperations__research_1_1_sequence_var" ],
      [ "AssignmentElement", "classoperations__research_1_1_assignment_element.html", "classoperations__research_1_1_assignment_element" ],
      [ "IntVarElement", "classoperations__research_1_1_int_var_element.html", "classoperations__research_1_1_int_var_element" ],
      [ "IntervalVarElement", "classoperations__research_1_1_interval_var_element.html", "classoperations__research_1_1_interval_var_element" ],
      [ "SequenceVarElement", "classoperations__research_1_1_sequence_var_element.html", "classoperations__research_1_1_sequence_var_element" ],
      [ "AssignmentContainer", "classoperations__research_1_1_assignment_container.html", "classoperations__research_1_1_assignment_container" ],
      [ "Assignment", "classoperations__research_1_1_assignment.html", "classoperations__research_1_1_assignment" ],
      [ "Pack", "classoperations__research_1_1_pack.html", "classoperations__research_1_1_pack" ],
      [ "DisjunctiveConstraint", "classoperations__research_1_1_disjunctive_constraint.html", "classoperations__research_1_1_disjunctive_constraint" ],
      [ "SolutionPool", "classoperations__research_1_1_solution_pool.html", "classoperations__research_1_1_solution_pool" ],
      [ "BaseIntExpr", "classoperations__research_1_1_base_int_expr.html", "classoperations__research_1_1_base_int_expr" ],
      [ "RevImmutableMultiMap", "classoperations__research_1_1_rev_immutable_multi_map.html", "classoperations__research_1_1_rev_immutable_multi_map" ],
      [ "RevSwitch", "classoperations__research_1_1_rev_switch.html", "classoperations__research_1_1_rev_switch" ],
      [ "SmallRevBitSet", "classoperations__research_1_1_small_rev_bit_set.html", "classoperations__research_1_1_small_rev_bit_set" ],
      [ "RevBitSet", "classoperations__research_1_1_rev_bit_set.html", "classoperations__research_1_1_rev_bit_set" ],
      [ "RevBitMatrix", "classoperations__research_1_1_rev_bit_matrix.html", "classoperations__research_1_1_rev_bit_matrix" ],
      [ "CallMethod0", "classoperations__research_1_1_call_method0.html", "classoperations__research_1_1_call_method0" ],
      [ "CallMethod1", "classoperations__research_1_1_call_method1.html", "classoperations__research_1_1_call_method1" ],
      [ "CallMethod2", "classoperations__research_1_1_call_method2.html", "classoperations__research_1_1_call_method2" ],
      [ "CallMethod3", "classoperations__research_1_1_call_method3.html", "classoperations__research_1_1_call_method3" ],
      [ "DelayedCallMethod0", "classoperations__research_1_1_delayed_call_method0.html", "classoperations__research_1_1_delayed_call_method0" ],
      [ "DelayedCallMethod1", "classoperations__research_1_1_delayed_call_method1.html", "classoperations__research_1_1_delayed_call_method1" ],
      [ "DelayedCallMethod2", "classoperations__research_1_1_delayed_call_method2.html", "classoperations__research_1_1_delayed_call_method2" ],
      [ "LocalSearchOperator", "classoperations__research_1_1_local_search_operator.html", "classoperations__research_1_1_local_search_operator" ],
      [ "VarLocalSearchOperator", "classoperations__research_1_1_var_local_search_operator.html", "classoperations__research_1_1_var_local_search_operator" ],
      [ "IntVarLocalSearchHandler", "classoperations__research_1_1_int_var_local_search_handler.html", "classoperations__research_1_1_int_var_local_search_handler" ],
      [ "IntVarLocalSearchOperator", "classoperations__research_1_1_int_var_local_search_operator.html", "classoperations__research_1_1_int_var_local_search_operator" ],
      [ "SequenceVarLocalSearchHandler", "classoperations__research_1_1_sequence_var_local_search_handler.html", "classoperations__research_1_1_sequence_var_local_search_handler" ],
      [ "SequenceVarLocalSearchOperator", "classoperations__research_1_1_sequence_var_local_search_operator.html", "classoperations__research_1_1_sequence_var_local_search_operator" ],
      [ "BaseLns", "classoperations__research_1_1_base_lns.html", "classoperations__research_1_1_base_lns" ],
      [ "ChangeValue", "classoperations__research_1_1_change_value.html", "classoperations__research_1_1_change_value" ],
      [ "PathOperator", "classoperations__research_1_1_path_operator.html", "classoperations__research_1_1_path_operator" ],
      [ "LocalSearchState", "classoperations__research_1_1_local_search_state.html", "classoperations__research_1_1_local_search_state" ],
      [ "LocalSearchVariable", "classoperations__research_1_1_local_search_variable.html", "classoperations__research_1_1_local_search_variable" ],
      [ "LocalSearchFilter", "classoperations__research_1_1_local_search_filter.html", "classoperations__research_1_1_local_search_filter" ],
      [ "LocalSearchFilterManager", "classoperations__research_1_1_local_search_filter_manager.html", "classoperations__research_1_1_local_search_filter_manager" ],
      [ "IntVarLocalSearchFilter", "classoperations__research_1_1_int_var_local_search_filter.html", "classoperations__research_1_1_int_var_local_search_filter" ],
      [ "PropagationMonitor", "classoperations__research_1_1_propagation_monitor.html", "classoperations__research_1_1_propagation_monitor" ],
      [ "LocalSearchMonitor", "classoperations__research_1_1_local_search_monitor.html", "classoperations__research_1_1_local_search_monitor" ],
      [ "BooleanVar", "classoperations__research_1_1_boolean_var.html", "classoperations__research_1_1_boolean_var" ],
      [ "SymmetryBreaker", "classoperations__research_1_1_symmetry_breaker.html", "classoperations__research_1_1_symmetry_breaker" ],
      [ "SearchLog", "classoperations__research_1_1_search_log.html", "classoperations__research_1_1_search_log" ],
      [ "ModelCache", "classoperations__research_1_1_model_cache.html", "classoperations__research_1_1_model_cache" ],
      [ "ArgumentHolder", "classoperations__research_1_1_argument_holder.html", "classoperations__research_1_1_argument_holder" ],
      [ "ModelParser", "classoperations__research_1_1_model_parser.html", "classoperations__research_1_1_model_parser" ],
      [ "ArrayWithOffset", "classoperations__research_1_1_array_with_offset.html", "classoperations__research_1_1_array_with_offset" ],
      [ "RevGrowingArray", "classoperations__research_1_1_rev_growing_array.html", "classoperations__research_1_1_rev_growing_array" ],
      [ "RevIntSet", "classoperations__research_1_1_rev_int_set.html", "classoperations__research_1_1_rev_int_set" ],
      [ "RevPartialSequence", "classoperations__research_1_1_rev_partial_sequence.html", "classoperations__research_1_1_rev_partial_sequence" ],
      [ "UnsortedNullableRevBitset", "classoperations__research_1_1_unsorted_nullable_rev_bitset.html", "classoperations__research_1_1_unsorted_nullable_rev_bitset" ],
      [ "PathState", "classoperations__research_1_1_path_state.html", "classoperations__research_1_1_path_state" ],
      [ "UnaryDimensionChecker", "classoperations__research_1_1_unary_dimension_checker.html", "classoperations__research_1_1_unary_dimension_checker" ],
      [ "RoutingModel", "classoperations__research_1_1_routing_model.html", "classoperations__research_1_1_routing_model" ],
      [ "RoutingModelVisitor", "classoperations__research_1_1_routing_model_visitor.html", "classoperations__research_1_1_routing_model_visitor" ],
      [ "DisjunctivePropagator", "classoperations__research_1_1_disjunctive_propagator.html", "classoperations__research_1_1_disjunctive_propagator" ],
      [ "TravelBounds", "structoperations__research_1_1_travel_bounds.html", "structoperations__research_1_1_travel_bounds" ],
      [ "GlobalVehicleBreaksConstraint", "classoperations__research_1_1_global_vehicle_breaks_constraint.html", "classoperations__research_1_1_global_vehicle_breaks_constraint" ],
      [ "TypeRegulationsChecker", "classoperations__research_1_1_type_regulations_checker.html", "classoperations__research_1_1_type_regulations_checker" ],
      [ "TypeIncompatibilityChecker", "classoperations__research_1_1_type_incompatibility_checker.html", "classoperations__research_1_1_type_incompatibility_checker" ],
      [ "TypeRequirementChecker", "classoperations__research_1_1_type_requirement_checker.html", "classoperations__research_1_1_type_requirement_checker" ],
      [ "TypeRegulationsConstraint", "classoperations__research_1_1_type_regulations_constraint.html", "classoperations__research_1_1_type_regulations_constraint" ],
      [ "SimpleBoundCosts", "classoperations__research_1_1_simple_bound_costs.html", "classoperations__research_1_1_simple_bound_costs" ],
      [ "RoutingDimension", "classoperations__research_1_1_routing_dimension.html", "classoperations__research_1_1_routing_dimension" ],
      [ "SweepArranger", "classoperations__research_1_1_sweep_arranger.html", "classoperations__research_1_1_sweep_arranger" ],
      [ "VehicleTypeCurator", "classoperations__research_1_1_vehicle_type_curator.html", "classoperations__research_1_1_vehicle_type_curator" ],
      [ "IntVarFilteredDecisionBuilder", "classoperations__research_1_1_int_var_filtered_decision_builder.html", "classoperations__research_1_1_int_var_filtered_decision_builder" ],
      [ "IntVarFilteredHeuristic", "classoperations__research_1_1_int_var_filtered_heuristic.html", "classoperations__research_1_1_int_var_filtered_heuristic" ],
      [ "RoutingFilteredHeuristic", "classoperations__research_1_1_routing_filtered_heuristic.html", "classoperations__research_1_1_routing_filtered_heuristic" ],
      [ "CheapestInsertionFilteredHeuristic", "classoperations__research_1_1_cheapest_insertion_filtered_heuristic.html", "classoperations__research_1_1_cheapest_insertion_filtered_heuristic" ],
      [ "GlobalCheapestInsertionFilteredHeuristic", "classoperations__research_1_1_global_cheapest_insertion_filtered_heuristic.html", "classoperations__research_1_1_global_cheapest_insertion_filtered_heuristic" ],
      [ "LocalCheapestInsertionFilteredHeuristic", "classoperations__research_1_1_local_cheapest_insertion_filtered_heuristic.html", "classoperations__research_1_1_local_cheapest_insertion_filtered_heuristic" ],
      [ "CheapestAdditionFilteredHeuristic", "classoperations__research_1_1_cheapest_addition_filtered_heuristic.html", "classoperations__research_1_1_cheapest_addition_filtered_heuristic" ],
      [ "EvaluatorCheapestAdditionFilteredHeuristic", "classoperations__research_1_1_evaluator_cheapest_addition_filtered_heuristic.html", "classoperations__research_1_1_evaluator_cheapest_addition_filtered_heuristic" ],
      [ "ComparatorCheapestAdditionFilteredHeuristic", "classoperations__research_1_1_comparator_cheapest_addition_filtered_heuristic.html", "classoperations__research_1_1_comparator_cheapest_addition_filtered_heuristic" ],
      [ "SavingsFilteredHeuristic", "classoperations__research_1_1_savings_filtered_heuristic.html", "classoperations__research_1_1_savings_filtered_heuristic" ],
      [ "SequentialSavingsFilteredHeuristic", "classoperations__research_1_1_sequential_savings_filtered_heuristic.html", "classoperations__research_1_1_sequential_savings_filtered_heuristic" ],
      [ "ParallelSavingsFilteredHeuristic", "classoperations__research_1_1_parallel_savings_filtered_heuristic.html", "classoperations__research_1_1_parallel_savings_filtered_heuristic" ],
      [ "ChristofidesFilteredHeuristic", "classoperations__research_1_1_christofides_filtered_heuristic.html", "classoperations__research_1_1_christofides_filtered_heuristic" ],
      [ "BasePathFilter", "classoperations__research_1_1_base_path_filter.html", "classoperations__research_1_1_base_path_filter" ],
      [ "CPFeasibilityFilter", "classoperations__research_1_1_c_p_feasibility_filter.html", "classoperations__research_1_1_c_p_feasibility_filter" ],
      [ "RoutingIndexManager", "classoperations__research_1_1_routing_index_manager.html", "classoperations__research_1_1_routing_index_manager" ],
      [ "CumulBoundsPropagator", "classoperations__research_1_1_cumul_bounds_propagator.html", "classoperations__research_1_1_cumul_bounds_propagator" ],
      [ "RoutingLinearSolverWrapper", "classoperations__research_1_1_routing_linear_solver_wrapper.html", "classoperations__research_1_1_routing_linear_solver_wrapper" ],
      [ "RoutingGlopWrapper", "classoperations__research_1_1_routing_glop_wrapper.html", "classoperations__research_1_1_routing_glop_wrapper" ],
      [ "RoutingCPSatWrapper", "classoperations__research_1_1_routing_c_p_sat_wrapper.html", "classoperations__research_1_1_routing_c_p_sat_wrapper" ],
      [ "DimensionCumulOptimizerCore", "classoperations__research_1_1_dimension_cumul_optimizer_core.html", "classoperations__research_1_1_dimension_cumul_optimizer_core" ],
      [ "LocalDimensionCumulOptimizer", "classoperations__research_1_1_local_dimension_cumul_optimizer.html", "classoperations__research_1_1_local_dimension_cumul_optimizer" ],
      [ "GlobalDimensionCumulOptimizer", "classoperations__research_1_1_global_dimension_cumul_optimizer.html", "classoperations__research_1_1_global_dimension_cumul_optimizer" ],
      [ "MakeRelocateNeighborsOperator", "classoperations__research_1_1_make_relocate_neighbors_operator.html", "classoperations__research_1_1_make_relocate_neighbors_operator" ],
      [ "MakePairActiveOperator", "classoperations__research_1_1_make_pair_active_operator.html", "classoperations__research_1_1_make_pair_active_operator" ],
      [ "MakePairInactiveOperator", "classoperations__research_1_1_make_pair_inactive_operator.html", "classoperations__research_1_1_make_pair_inactive_operator" ],
      [ "PairRelocateOperator", "classoperations__research_1_1_pair_relocate_operator.html", "classoperations__research_1_1_pair_relocate_operator" ],
      [ "LightPairRelocateOperator", "classoperations__research_1_1_light_pair_relocate_operator.html", "classoperations__research_1_1_light_pair_relocate_operator" ],
      [ "PairExchangeOperator", "classoperations__research_1_1_pair_exchange_operator.html", "classoperations__research_1_1_pair_exchange_operator" ],
      [ "PairExchangeRelocateOperator", "classoperations__research_1_1_pair_exchange_relocate_operator.html", "classoperations__research_1_1_pair_exchange_relocate_operator" ],
      [ "SwapIndexPairOperator", "classoperations__research_1_1_swap_index_pair_operator.html", "classoperations__research_1_1_swap_index_pair_operator" ],
      [ "IndexPairSwapActiveOperator", "classoperations__research_1_1_index_pair_swap_active_operator.html", "classoperations__research_1_1_index_pair_swap_active_operator" ],
      [ "FilteredHeuristicLocalSearchOperator", "classoperations__research_1_1_filtered_heuristic_local_search_operator.html", "classoperations__research_1_1_filtered_heuristic_local_search_operator" ],
      [ "FilteredHeuristicPathLNSOperator", "classoperations__research_1_1_filtered_heuristic_path_l_n_s_operator.html", "classoperations__research_1_1_filtered_heuristic_path_l_n_s_operator" ],
      [ "RelocatePathAndHeuristicInsertUnperformedOperator", "classoperations__research_1_1_relocate_path_and_heuristic_insert_unperformed_operator.html", "classoperations__research_1_1_relocate_path_and_heuristic_insert_unperformed_operator" ],
      [ "FilteredHeuristicExpensiveChainLNSOperator", "classoperations__research_1_1_filtered_heuristic_expensive_chain_l_n_s_operator.html", "classoperations__research_1_1_filtered_heuristic_expensive_chain_l_n_s_operator" ],
      [ "FilteredHeuristicCloseNodesLNSOperator", "classoperations__research_1_1_filtered_heuristic_close_nodes_l_n_s_operator.html", "classoperations__research_1_1_filtered_heuristic_close_nodes_l_n_s_operator" ],
      [ "RelocateExpensiveChain", "classoperations__research_1_1_relocate_expensive_chain.html", "classoperations__research_1_1_relocate_expensive_chain" ],
      [ "PairNodeSwapActiveOperator", "classoperations__research_1_1_pair_node_swap_active_operator.html", "classoperations__research_1_1_pair_node_swap_active_operator" ],
      [ "RelocateSubtrip", "classoperations__research_1_1_relocate_subtrip.html", "classoperations__research_1_1_relocate_subtrip" ],
      [ "ExchangeSubtrip", "classoperations__research_1_1_exchange_subtrip.html", "classoperations__research_1_1_exchange_subtrip" ],
      [ "RoutingIndexPair", "namespaceoperations__research.html#a1a7c1221ae29f298e0879e516d086f8b", null ],
      [ "RoutingIndexPairs", "namespaceoperations__research.html#aef7db0bee0a22d1791d040fd3853f3b7", null ],
      [ "RoutingTransitCallback1", "namespaceoperations__research.html#abec0698c301a7fe57265985e2d30e7c7", null ],
      [ "RoutingTransitCallback2", "namespaceoperations__research.html#ab35e9f27307e9c5273c9d77fcf30de0e", null ],
      [ "SequenceVarLocalSearchOperatorTemplate", "namespaceoperations__research.html#ad502b08bb4d69dfbaf025415310b8da8", null ],
      [ "DimensionSchedulingStatus", "namespaceoperations__research.html#aa0787bf78fb09d1e30f2451b5a68d4b8", [
        [ "OPTIMAL", "namespaceoperations__research.html#aa0787bf78fb09d1e30f2451b5a68d4b8af00c8dbdd6e1f11bdae06be94277d293", null ],
        [ "RELAXED_OPTIMAL_ONLY", "namespaceoperations__research.html#aa0787bf78fb09d1e30f2451b5a68d4b8af8cfb2115ef7ab822bca8edd1edac285", null ],
        [ "INFEASIBLE", "namespaceoperations__research.html#aa0787bf78fb09d1e30f2451b5a68d4b8a6faaca695f728b47f47dd389f31e4a93", null ]
      ] ],
      [ "VarTypes", "namespaceoperations__research.html#a403e52e933033645c3388146d5e2edd2", [
        [ "UNSPECIFIED", "namespaceoperations__research.html#a403e52e933033645c3388146d5e2edd2aa876f4fb4e5f7f0c5c48fcf66c9ce7ce", null ],
        [ "DOMAIN_INT_VAR", "namespaceoperations__research.html#a403e52e933033645c3388146d5e2edd2afd9ce19c75c8a2e8ff4c7307eff08e38", null ],
        [ "BOOLEAN_VAR", "namespaceoperations__research.html#a403e52e933033645c3388146d5e2edd2a00e6c449ab034942ac313f8b48643f4b", null ],
        [ "CONST_VAR", "namespaceoperations__research.html#a403e52e933033645c3388146d5e2edd2ac84956f1086e3f828921e0b3d51d806b", null ],
        [ "VAR_ADD_CST", "namespaceoperations__research.html#a403e52e933033645c3388146d5e2edd2a16071208281c29136c1be022b7d170f0", null ],
        [ "VAR_TIMES_CST", "namespaceoperations__research.html#a403e52e933033645c3388146d5e2edd2a0ae20d0967db3441a2b885e5074c4b36", null ],
        [ "CST_SUB_VAR", "namespaceoperations__research.html#a403e52e933033645c3388146d5e2edd2a89a5a9b8c00be595eb52b4d464613d30", null ],
        [ "OPP_VAR", "namespaceoperations__research.html#a403e52e933033645c3388146d5e2edd2ae8e4c6f3e5a6d22d24204ec432f57860", null ],
        [ "TRACE_VAR", "namespaceoperations__research.html#a403e52e933033645c3388146d5e2edd2af2d15b703802d6a1f8f402f90de90dc6", null ]
      ] ],
      [ "AppendDimensionCumulFilters", "namespaceoperations__research.html#abfa47a7ce83aebfb2bba4215bfb04282", null ],
      [ "AppendLightWeightDimensionFilters", "namespaceoperations__research.html#a2de52d6625b60cdc32d493e175cc7bff", null ],
      [ "AppendTasksFromIntervals", "namespaceoperations__research.html#aec575fd72a48b07ceca957691d785d57", null ],
      [ "AppendTasksFromPath", "namespaceoperations__research.html#a9fe9064451ca1dd829b5c45cac69c389", null ],
      [ "AreAllBooleans", "namespaceoperations__research.html#a7abde7313cef64d25202a18f07481fc3", null ],
      [ "AreAllBound", "namespaceoperations__research.html#ae4c7a8bfc6877606e512d3279549f44d", null ],
      [ "AreAllBoundOrNull", "namespaceoperations__research.html#a54470bffc3ea32cc37d0222e5dbb62a6", null ],
      [ "AreAllBoundTo", "namespaceoperations__research.html#a7028ce8b481be8cb6fca7a6925d41aa7", null ],
      [ "AreAllGreaterOrEqual", "namespaceoperations__research.html#a3aea406979285a28c91fd1ee8115af74", null ],
      [ "AreAllLessOrEqual", "namespaceoperations__research.html#a15f08cfbb35e2b8b1eb76f79caea924a", null ],
      [ "AreAllNegative", "namespaceoperations__research.html#a38972723946490ea4df4e34298d8805d", null ],
      [ "AreAllNull", "namespaceoperations__research.html#ab0ae787392a8dd8a499eb55ac0916aa4", null ],
      [ "AreAllOnes", "namespaceoperations__research.html#ae3e4f71c4c79e0b4ec00c4e715a7c298", null ],
      [ "AreAllPositive", "namespaceoperations__research.html#ab62b402f767cda48eb67ef8b50397f8f", null ],
      [ "AreAllStrictlyNegative", "namespaceoperations__research.html#a8351829c324863ddda52e201df4f9f84", null ],
      [ "AreAllStrictlyPositive", "namespaceoperations__research.html#a3de09f9134b976e5ba64751ac0f4440b", null ],
      [ "BuildModelParametersFromFlags", "namespaceoperations__research.html#ae39a6c4d8ba890ec5150ea91a7aad643", null ],
      [ "BuildSearchParametersFromFlags", "namespaceoperations__research.html#a95da1d3a46432afd40024f79279a48b2", null ],
      [ "CpRandomSeed", "namespaceoperations__research.html#af46f97d04f28e1d1c8a99d02f000d212", null ],
      [ "DefaultRoutingModelParameters", "namespaceoperations__research.html#aa388c8707db255ae7742c04046bdd613", null ],
      [ "DefaultRoutingSearchParameters", "namespaceoperations__research.html#adcac4a11f1e4d36ceb47f7251461487d", null ],
      [ "DEFINE_INT_TYPE", "namespaceoperations__research.html#afa9196adb7aa76d8e60cd4c0c6687c0d", null ],
      [ "DEFINE_INT_TYPE", "namespaceoperations__research.html#a3d98b6fb94b9cdabfaca3d9f3c9632e9", null ],
      [ "DEFINE_INT_TYPE", "namespaceoperations__research.html#a1edd1d7c020633019991b13d14b4b15b", null ],
      [ "DEFINE_INT_TYPE", "namespaceoperations__research.html#a8fee47a5359613bc7f8df356595c7ff0", null ],
      [ "DEFINE_INT_TYPE", "namespaceoperations__research.html#aff19b78b3d56ff95c23727ca4ff64ea7", null ],
      [ "FillPathEvaluation", "namespaceoperations__research.html#a4f6a1b9fc737ba25fee7bf42d6635182", null ],
      [ "FillTravelBoundsOfVehicle", "namespaceoperations__research.html#a6f501c0f1d11c53ce54282ee650d79dd", null ],
      [ "FillValues", "namespaceoperations__research.html#a6662a100d8715747870beb9721bb304b", null ],
      [ "FindErrorInRoutingSearchParameters", "namespaceoperations__research.html#ae2e060e8ee4ea901dc4df260b3385eac", null ],
      [ "Hash1", "namespaceoperations__research.html#ac2ba31780fce352d4bba600e6e8eacad", null ],
      [ "Hash1", "namespaceoperations__research.html#aec42cb0a7c3079eb8f0406914077d633", null ],
      [ "Hash1", "namespaceoperations__research.html#a65a9c1ccf298ae110decc3b9d285dc16", null ],
      [ "Hash1", "namespaceoperations__research.html#acfc54730764156f1fb717e99b71ba5d4", null ],
      [ "Hash1", "namespaceoperations__research.html#ab89995e46facfc1db291ce75658dd0a5", null ],
      [ "Hash1", "namespaceoperations__research.html#a64cf3e1336ec61275bdd2ae853d38406", null ],
      [ "Hash1", "namespaceoperations__research.html#a3ca754fad158b92d7f678b5d354d8927", null ],
      [ "IsArrayBoolean", "namespaceoperations__research.html#a3f4525e71a6b05d97c868f0832750a60", null ],
      [ "IsArrayConstant", "namespaceoperations__research.html#a12527c82ffc8b31c5d8dc836c366d624", null ],
      [ "IsArrayInRange", "namespaceoperations__research.html#adf2aea6c68fe502389c9264b971b2f85", null ],
      [ "IsIncreasing", "namespaceoperations__research.html#a3d434774c07815a25ffaa7adb343c19e", null ],
      [ "IsIncreasingContiguous", "namespaceoperations__research.html#aafac7375c23337f25821aa6f86ca627c", null ],
      [ "MakeConstraintDemon0", "namespaceoperations__research.html#a3ea6af6581e6922832918c97753146a7", null ],
      [ "MakeConstraintDemon1", "namespaceoperations__research.html#a4fb750da00c784e5ffd1763fd3ce88f7", null ],
      [ "MakeConstraintDemon2", "namespaceoperations__research.html#a4da629cafe75f958924e1684ac2b0eff", null ],
      [ "MakeConstraintDemon3", "namespaceoperations__research.html#abdca98f14c02e004ab5e19d2c3985667", null ],
      [ "MakeCPFeasibilityFilter", "namespaceoperations__research.html#a71c94647d1b8776e1232b4dedf35b8fb", null ],
      [ "MakeCumulBoundsPropagatorFilter", "namespaceoperations__research.html#a6956143fbdacf5edd7e4372394c29e2c", null ],
      [ "MakeDelayedConstraintDemon0", "namespaceoperations__research.html#a82110ba1f45aa29ffc933102880dbd82", null ],
      [ "MakeDelayedConstraintDemon1", "namespaceoperations__research.html#a11f4a7dbafd8e00a36b892a82e44445f", null ],
      [ "MakeDelayedConstraintDemon2", "namespaceoperations__research.html#a29b8113bf656aa61493c9459508ed953", null ],
      [ "MakeGlobalLPCumulFilter", "namespaceoperations__research.html#ad96516f011b5faf2c5587c797870ca9d", null ],
      [ "MakeLocalSearchOperator", "namespaceoperations__research.html#a85ea0ef5b46465c3793333ce9821f15f", null ],
      [ "MakeMaxActiveVehiclesFilter", "namespaceoperations__research.html#aa07240e0782c167ad1bd573cf70da3f5", null ],
      [ "MakeNodeDisjunctionFilter", "namespaceoperations__research.html#ae3012c6b24c5be29fe921cb17f9d1d60", null ],
      [ "MakePathCumulFilter", "namespaceoperations__research.html#a50f814689e39c6a1261f38f347466257", null ],
      [ "MakePathStateFilter", "namespaceoperations__research.html#ae67dc356130e9a966298d2bed4835d53", null ],
      [ "MakePickupDeliveryFilter", "namespaceoperations__research.html#ae3ffb53eac6214b414e926238012a2a0", null ],
      [ "MakeSetValuesFromTargets", "namespaceoperations__research.html#a4e907b3668a07c9fa3f62d938f6cb855", null ],
      [ "MakeTypeRegulationsFilter", "namespaceoperations__research.html#a3de43a015d4ee3ce53eb030e1d7232de", null ],
      [ "MakeUnaryDimensionFilter", "namespaceoperations__research.html#a85232ec63b614f08519af96d5963059b", null ],
      [ "MakeVehicleAmortizedCostFilter", "namespaceoperations__research.html#ab6379327d3431a9fe8f7434651eece59", null ],
      [ "MakeVehicleBreaksFilter", "namespaceoperations__research.html#ae9a33af72abb5c2332a1f7ca71ab8215", null ],
      [ "MakeVehicleVarFilter", "namespaceoperations__research.html#a67f4b4b64a6c11717020eaa963b98c51", null ],
      [ "MaxVarArray", "namespaceoperations__research.html#abc42d1bcfe023d3ac6f59471b75d853c", null ],
      [ "MinVarArray", "namespaceoperations__research.html#a5c1932027ef8bc1689d725a1c597867b", null ],
      [ "One", "namespaceoperations__research.html#aa96bb5a28dd9c1ccc864b1587e8e1a98", null ],
      [ "operator<<", "namespaceoperations__research.html#a4f44b10aa7fc7b6e85b72e7f0c96cc1f", null ],
      [ "operator<<", "namespaceoperations__research.html#a991f7a823d83b455d6b1a45141cb9ce9", null ],
      [ "operator<<", "namespaceoperations__research.html#a316abccdfa41512564d84365ea8f0ead", null ],
      [ "ParameterDebugString", "namespaceoperations__research.html#a3c2f93547af434566184b7dee7039c93", null ],
      [ "ParameterDebugString", "namespaceoperations__research.html#a0953b50b08320d1109c678555137f1db", null ],
      [ "PosIntDivDown", "namespaceoperations__research.html#a942ba2898a44303790c91e761b8f4630", null ],
      [ "PosIntDivUp", "namespaceoperations__research.html#a60dabfa452b4264887ef76c75edf3765", null ],
      [ "SetAssignmentFromAssignment", "namespaceoperations__research.html#aea2bf322fab4e2319a23ad22acf8ccf8", null ],
      [ "SolveModelWithSat", "namespaceoperations__research.html#aa17cca151690da44e948d7fbe07abca5", null ],
      [ "ToInt64Vector", "namespaceoperations__research.html#aad4e1b406f0e56c83283747b038df88a", null ],
      [ "Zero", "namespaceoperations__research.html#a009f247167f32509baf749083e4bc984", null ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "SimpleRevFIFO", "classoperations__research_1_1_simple_rev_f_i_f_o.html", "classoperations__research_1_1_simple_rev_f_i_f_o" ],
      [ "DefaultPhaseParameters", "structoperations__research_1_1_default_phase_parameters.html", "structoperations__research_1_1_default_phase_parameters" ],
      [ "Solver", "classoperations__research_1_1_solver.html", "classoperations__research_1_1_solver" ],
      [ "BaseObject", "classoperations__research_1_1_base_object.html", "classoperations__research_1_1_base_object" ],
      [ "PropagationBaseObject", "classoperations__research_1_1_propagation_base_object.html", "classoperations__research_1_1_propagation_base_object" ],
      [ "Decision", "classoperations__research_1_1_decision.html", "classoperations__research_1_1_decision" ],
      [ "DecisionVisitor", "classoperations__research_1_1_decision_visitor.html", "classoperations__research_1_1_decision_visitor" ],
      [ "DecisionBuilder", "classoperations__research_1_1_decision_builder.html", "classoperations__research_1_1_decision_builder" ],
      [ "Demon", "classoperations__research_1_1_demon.html", "classoperations__research_1_1_demon" ],
      [ "ModelVisitor", "classoperations__research_1_1_model_visitor.html", "classoperations__research_1_1_model_visitor" ],
      [ "Constraint", "classoperations__research_1_1_constraint.html", "classoperations__research_1_1_constraint" ],
      [ "CastConstraint", "classoperations__research_1_1_cast_constraint.html", "classoperations__research_1_1_cast_constraint" ],
      [ "SearchMonitor", "classoperations__research_1_1_search_monitor.html", "classoperations__research_1_1_search_monitor" ],
      [ "Rev", "classoperations__research_1_1_rev.html", "classoperations__research_1_1_rev" ],
      [ "NumericalRev", "classoperations__research_1_1_numerical_rev.html", "classoperations__research_1_1_numerical_rev" ],
      [ "RevArray", "classoperations__research_1_1_rev_array.html", "classoperations__research_1_1_rev_array" ],
      [ "NumericalRevArray", "classoperations__research_1_1_numerical_rev_array.html", "classoperations__research_1_1_numerical_rev_array" ],
      [ "IntExpr", "classoperations__research_1_1_int_expr.html", "classoperations__research_1_1_int_expr" ],
      [ "IntVarIterator", "classoperations__research_1_1_int_var_iterator.html", "classoperations__research_1_1_int_var_iterator" ],
      [ "InitAndGetValues", "classoperations__research_1_1_init_and_get_values.html", "classoperations__research_1_1_init_and_get_values" ],
      [ "IntVar", "classoperations__research_1_1_int_var.html", "classoperations__research_1_1_int_var" ],
      [ "SolutionCollector", "classoperations__research_1_1_solution_collector.html", "classoperations__research_1_1_solution_collector" ],
      [ "OptimizeVar", "classoperations__research_1_1_optimize_var.html", "classoperations__research_1_1_optimize_var" ],
      [ "SearchLimit", "classoperations__research_1_1_search_limit.html", "classoperations__research_1_1_search_limit" ],
      [ "RegularLimit", "classoperations__research_1_1_regular_limit.html", "classoperations__research_1_1_regular_limit" ],
      [ "ImprovementSearchLimit", "classoperations__research_1_1_improvement_search_limit.html", "classoperations__research_1_1_improvement_search_limit" ],
      [ "IntervalVar", "classoperations__research_1_1_interval_var.html", "classoperations__research_1_1_interval_var" ],
      [ "SequenceVar", "classoperations__research_1_1_sequence_var.html", "classoperations__research_1_1_sequence_var" ],
      [ "AssignmentElement", "classoperations__research_1_1_assignment_element.html", "classoperations__research_1_1_assignment_element" ],
      [ "IntVarElement", "classoperations__research_1_1_int_var_element.html", "classoperations__research_1_1_int_var_element" ],
      [ "IntervalVarElement", "classoperations__research_1_1_interval_var_element.html", "classoperations__research_1_1_interval_var_element" ],
      [ "SequenceVarElement", "classoperations__research_1_1_sequence_var_element.html", "classoperations__research_1_1_sequence_var_element" ],
      [ "AssignmentContainer", "classoperations__research_1_1_assignment_container.html", "classoperations__research_1_1_assignment_container" ],
      [ "Assignment", "classoperations__research_1_1_assignment.html", "classoperations__research_1_1_assignment" ],
      [ "Pack", "classoperations__research_1_1_pack.html", "classoperations__research_1_1_pack" ],
      [ "DisjunctiveConstraint", "classoperations__research_1_1_disjunctive_constraint.html", "classoperations__research_1_1_disjunctive_constraint" ],
      [ "SolutionPool", "classoperations__research_1_1_solution_pool.html", "classoperations__research_1_1_solution_pool" ],
      [ "BaseIntExpr", "classoperations__research_1_1_base_int_expr.html", "classoperations__research_1_1_base_int_expr" ],
      [ "RevImmutableMultiMap", "classoperations__research_1_1_rev_immutable_multi_map.html", "classoperations__research_1_1_rev_immutable_multi_map" ],
      [ "RevSwitch", "classoperations__research_1_1_rev_switch.html", "classoperations__research_1_1_rev_switch" ],
      [ "SmallRevBitSet", "classoperations__research_1_1_small_rev_bit_set.html", "classoperations__research_1_1_small_rev_bit_set" ],
      [ "RevBitSet", "classoperations__research_1_1_rev_bit_set.html", "classoperations__research_1_1_rev_bit_set" ],
      [ "RevBitMatrix", "classoperations__research_1_1_rev_bit_matrix.html", "classoperations__research_1_1_rev_bit_matrix" ],
      [ "CallMethod0", "classoperations__research_1_1_call_method0.html", "classoperations__research_1_1_call_method0" ],
      [ "CallMethod1", "classoperations__research_1_1_call_method1.html", "classoperations__research_1_1_call_method1" ],
      [ "CallMethod2", "classoperations__research_1_1_call_method2.html", "classoperations__research_1_1_call_method2" ],
      [ "CallMethod3", "classoperations__research_1_1_call_method3.html", "classoperations__research_1_1_call_method3" ],
      [ "DelayedCallMethod0", "classoperations__research_1_1_delayed_call_method0.html", "classoperations__research_1_1_delayed_call_method0" ],
      [ "DelayedCallMethod1", "classoperations__research_1_1_delayed_call_method1.html", "classoperations__research_1_1_delayed_call_method1" ],
      [ "DelayedCallMethod2", "classoperations__research_1_1_delayed_call_method2.html", "classoperations__research_1_1_delayed_call_method2" ],
      [ "LocalSearchOperator", "classoperations__research_1_1_local_search_operator.html", "classoperations__research_1_1_local_search_operator" ],
      [ "VarLocalSearchOperator", "classoperations__research_1_1_var_local_search_operator.html", "classoperations__research_1_1_var_local_search_operator" ],
      [ "IntVarLocalSearchHandler", "classoperations__research_1_1_int_var_local_search_handler.html", "classoperations__research_1_1_int_var_local_search_handler" ],
      [ "IntVarLocalSearchOperator", "classoperations__research_1_1_int_var_local_search_operator.html", "classoperations__research_1_1_int_var_local_search_operator" ],
      [ "SequenceVarLocalSearchHandler", "classoperations__research_1_1_sequence_var_local_search_handler.html", "classoperations__research_1_1_sequence_var_local_search_handler" ],
      [ "SequenceVarLocalSearchOperator", "classoperations__research_1_1_sequence_var_local_search_operator.html", "classoperations__research_1_1_sequence_var_local_search_operator" ],
      [ "BaseLns", "classoperations__research_1_1_base_lns.html", "classoperations__research_1_1_base_lns" ],
      [ "ChangeValue", "classoperations__research_1_1_change_value.html", "classoperations__research_1_1_change_value" ],
      [ "PathOperator", "classoperations__research_1_1_path_operator.html", "classoperations__research_1_1_path_operator" ],
      [ "LocalSearchState", "classoperations__research_1_1_local_search_state.html", "classoperations__research_1_1_local_search_state" ],
      [ "LocalSearchVariable", "classoperations__research_1_1_local_search_variable.html", "classoperations__research_1_1_local_search_variable" ],
      [ "LocalSearchFilter", "classoperations__research_1_1_local_search_filter.html", "classoperations__research_1_1_local_search_filter" ],
      [ "LocalSearchFilterManager", "classoperations__research_1_1_local_search_filter_manager.html", "classoperations__research_1_1_local_search_filter_manager" ],
      [ "IntVarLocalSearchFilter", "classoperations__research_1_1_int_var_local_search_filter.html", "classoperations__research_1_1_int_var_local_search_filter" ],
      [ "PropagationMonitor", "classoperations__research_1_1_propagation_monitor.html", "classoperations__research_1_1_propagation_monitor" ],
      [ "LocalSearchMonitor", "classoperations__research_1_1_local_search_monitor.html", "classoperations__research_1_1_local_search_monitor" ],
      [ "BooleanVar", "classoperations__research_1_1_boolean_var.html", "classoperations__research_1_1_boolean_var" ],
      [ "SymmetryBreaker", "classoperations__research_1_1_symmetry_breaker.html", "classoperations__research_1_1_symmetry_breaker" ],
      [ "SearchLog", "classoperations__research_1_1_search_log.html", "classoperations__research_1_1_search_log" ],
      [ "ModelCache", "classoperations__research_1_1_model_cache.html", "classoperations__research_1_1_model_cache" ],
      [ "ArgumentHolder", "classoperations__research_1_1_argument_holder.html", "classoperations__research_1_1_argument_holder" ],
      [ "ModelParser", "classoperations__research_1_1_model_parser.html", "classoperations__research_1_1_model_parser" ],
      [ "ArrayWithOffset", "classoperations__research_1_1_array_with_offset.html", "classoperations__research_1_1_array_with_offset" ],
      [ "RevGrowingArray", "classoperations__research_1_1_rev_growing_array.html", "classoperations__research_1_1_rev_growing_array" ],
      [ "RevIntSet", "classoperations__research_1_1_rev_int_set.html", "classoperations__research_1_1_rev_int_set" ],
      [ "RevPartialSequence", "classoperations__research_1_1_rev_partial_sequence.html", "classoperations__research_1_1_rev_partial_sequence" ],
      [ "UnsortedNullableRevBitset", "classoperations__research_1_1_unsorted_nullable_rev_bitset.html", "classoperations__research_1_1_unsorted_nullable_rev_bitset" ],
      [ "PathState", "classoperations__research_1_1_path_state.html", "classoperations__research_1_1_path_state" ],
      [ "UnaryDimensionChecker", "classoperations__research_1_1_unary_dimension_checker.html", "classoperations__research_1_1_unary_dimension_checker" ],
      [ "RoutingModel", "classoperations__research_1_1_routing_model.html", "classoperations__research_1_1_routing_model" ],
      [ "RoutingModelVisitor", "classoperations__research_1_1_routing_model_visitor.html", "classoperations__research_1_1_routing_model_visitor" ],
      [ "DisjunctivePropagator", "classoperations__research_1_1_disjunctive_propagator.html", "classoperations__research_1_1_disjunctive_propagator" ],
      [ "TravelBounds", "structoperations__research_1_1_travel_bounds.html", "structoperations__research_1_1_travel_bounds" ],
      [ "GlobalVehicleBreaksConstraint", "classoperations__research_1_1_global_vehicle_breaks_constraint.html", "classoperations__research_1_1_global_vehicle_breaks_constraint" ],
      [ "TypeRegulationsChecker", "classoperations__research_1_1_type_regulations_checker.html", "classoperations__research_1_1_type_regulations_checker" ],
      [ "TypeIncompatibilityChecker", "classoperations__research_1_1_type_incompatibility_checker.html", "classoperations__research_1_1_type_incompatibility_checker" ],
      [ "TypeRequirementChecker", "classoperations__research_1_1_type_requirement_checker.html", "classoperations__research_1_1_type_requirement_checker" ],
      [ "TypeRegulationsConstraint", "classoperations__research_1_1_type_regulations_constraint.html", "classoperations__research_1_1_type_regulations_constraint" ],
      [ "SimpleBoundCosts", "classoperations__research_1_1_simple_bound_costs.html", "classoperations__research_1_1_simple_bound_costs" ],
      [ "RoutingDimension", "classoperations__research_1_1_routing_dimension.html", "classoperations__research_1_1_routing_dimension" ],
      [ "SweepArranger", "classoperations__research_1_1_sweep_arranger.html", "classoperations__research_1_1_sweep_arranger" ],
      [ "VehicleTypeCurator", "classoperations__research_1_1_vehicle_type_curator.html", "classoperations__research_1_1_vehicle_type_curator" ],
      [ "IntVarFilteredDecisionBuilder", "classoperations__research_1_1_int_var_filtered_decision_builder.html", "classoperations__research_1_1_int_var_filtered_decision_builder" ],
      [ "IntVarFilteredHeuristic", "classoperations__research_1_1_int_var_filtered_heuristic.html", "classoperations__research_1_1_int_var_filtered_heuristic" ],
      [ "RoutingFilteredHeuristic", "classoperations__research_1_1_routing_filtered_heuristic.html", "classoperations__research_1_1_routing_filtered_heuristic" ],
      [ "CheapestInsertionFilteredHeuristic", "classoperations__research_1_1_cheapest_insertion_filtered_heuristic.html", "classoperations__research_1_1_cheapest_insertion_filtered_heuristic" ],
      [ "GlobalCheapestInsertionFilteredHeuristic", "classoperations__research_1_1_global_cheapest_insertion_filtered_heuristic.html", "classoperations__research_1_1_global_cheapest_insertion_filtered_heuristic" ],
      [ "LocalCheapestInsertionFilteredHeuristic", "classoperations__research_1_1_local_cheapest_insertion_filtered_heuristic.html", "classoperations__research_1_1_local_cheapest_insertion_filtered_heuristic" ],
      [ "CheapestAdditionFilteredHeuristic", "classoperations__research_1_1_cheapest_addition_filtered_heuristic.html", "classoperations__research_1_1_cheapest_addition_filtered_heuristic" ],
      [ "EvaluatorCheapestAdditionFilteredHeuristic", "classoperations__research_1_1_evaluator_cheapest_addition_filtered_heuristic.html", "classoperations__research_1_1_evaluator_cheapest_addition_filtered_heuristic" ],
      [ "ComparatorCheapestAdditionFilteredHeuristic", "classoperations__research_1_1_comparator_cheapest_addition_filtered_heuristic.html", "classoperations__research_1_1_comparator_cheapest_addition_filtered_heuristic" ],
      [ "SavingsFilteredHeuristic", "classoperations__research_1_1_savings_filtered_heuristic.html", "classoperations__research_1_1_savings_filtered_heuristic" ],
      [ "SequentialSavingsFilteredHeuristic", "classoperations__research_1_1_sequential_savings_filtered_heuristic.html", "classoperations__research_1_1_sequential_savings_filtered_heuristic" ],
      [ "ParallelSavingsFilteredHeuristic", "classoperations__research_1_1_parallel_savings_filtered_heuristic.html", "classoperations__research_1_1_parallel_savings_filtered_heuristic" ],
      [ "ChristofidesFilteredHeuristic", "classoperations__research_1_1_christofides_filtered_heuristic.html", "classoperations__research_1_1_christofides_filtered_heuristic" ],
      [ "BasePathFilter", "classoperations__research_1_1_base_path_filter.html", "classoperations__research_1_1_base_path_filter" ],
      [ "CPFeasibilityFilter", "classoperations__research_1_1_c_p_feasibility_filter.html", "classoperations__research_1_1_c_p_feasibility_filter" ],
      [ "RoutingIndexManager", "classoperations__research_1_1_routing_index_manager.html", "classoperations__research_1_1_routing_index_manager" ],
      [ "CumulBoundsPropagator", "classoperations__research_1_1_cumul_bounds_propagator.html", "classoperations__research_1_1_cumul_bounds_propagator" ],
      [ "RoutingLinearSolverWrapper", "classoperations__research_1_1_routing_linear_solver_wrapper.html", "classoperations__research_1_1_routing_linear_solver_wrapper" ],
      [ "RoutingGlopWrapper", "classoperations__research_1_1_routing_glop_wrapper.html", "classoperations__research_1_1_routing_glop_wrapper" ],
      [ "RoutingCPSatWrapper", "classoperations__research_1_1_routing_c_p_sat_wrapper.html", "classoperations__research_1_1_routing_c_p_sat_wrapper" ],
      [ "DimensionCumulOptimizerCore", "classoperations__research_1_1_dimension_cumul_optimizer_core.html", "classoperations__research_1_1_dimension_cumul_optimizer_core" ],
      [ "LocalDimensionCumulOptimizer", "classoperations__research_1_1_local_dimension_cumul_optimizer.html", "classoperations__research_1_1_local_dimension_cumul_optimizer" ],
      [ "GlobalDimensionCumulOptimizer", "classoperations__research_1_1_global_dimension_cumul_optimizer.html", "classoperations__research_1_1_global_dimension_cumul_optimizer" ],
      [ "MakeRelocateNeighborsOperator", "classoperations__research_1_1_make_relocate_neighbors_operator.html", "classoperations__research_1_1_make_relocate_neighbors_operator" ],
      [ "MakePairActiveOperator", "classoperations__research_1_1_make_pair_active_operator.html", "classoperations__research_1_1_make_pair_active_operator" ],
      [ "MakePairInactiveOperator", "classoperations__research_1_1_make_pair_inactive_operator.html", "classoperations__research_1_1_make_pair_inactive_operator" ],
      [ "PairRelocateOperator", "classoperations__research_1_1_pair_relocate_operator.html", "classoperations__research_1_1_pair_relocate_operator" ],
      [ "LightPairRelocateOperator", "classoperations__research_1_1_light_pair_relocate_operator.html", "classoperations__research_1_1_light_pair_relocate_operator" ],
      [ "PairExchangeOperator", "classoperations__research_1_1_pair_exchange_operator.html", "classoperations__research_1_1_pair_exchange_operator" ],
      [ "PairExchangeRelocateOperator", "classoperations__research_1_1_pair_exchange_relocate_operator.html", "classoperations__research_1_1_pair_exchange_relocate_operator" ],
      [ "SwapIndexPairOperator", "classoperations__research_1_1_swap_index_pair_operator.html", "classoperations__research_1_1_swap_index_pair_operator" ],
      [ "IndexPairSwapActiveOperator", "classoperations__research_1_1_index_pair_swap_active_operator.html", "classoperations__research_1_1_index_pair_swap_active_operator" ],
      [ "FilteredHeuristicLocalSearchOperator", "classoperations__research_1_1_filtered_heuristic_local_search_operator.html", "classoperations__research_1_1_filtered_heuristic_local_search_operator" ],
      [ "FilteredHeuristicPathLNSOperator", "classoperations__research_1_1_filtered_heuristic_path_l_n_s_operator.html", "classoperations__research_1_1_filtered_heuristic_path_l_n_s_operator" ],
      [ "RelocatePathAndHeuristicInsertUnperformedOperator", "classoperations__research_1_1_relocate_path_and_heuristic_insert_unperformed_operator.html", "classoperations__research_1_1_relocate_path_and_heuristic_insert_unperformed_operator" ],
      [ "FilteredHeuristicExpensiveChainLNSOperator", "classoperations__research_1_1_filtered_heuristic_expensive_chain_l_n_s_operator.html", "classoperations__research_1_1_filtered_heuristic_expensive_chain_l_n_s_operator" ],
      [ "FilteredHeuristicCloseNodesLNSOperator", "classoperations__research_1_1_filtered_heuristic_close_nodes_l_n_s_operator.html", "classoperations__research_1_1_filtered_heuristic_close_nodes_l_n_s_operator" ],
      [ "RelocateExpensiveChain", "classoperations__research_1_1_relocate_expensive_chain.html", "classoperations__research_1_1_relocate_expensive_chain" ],
      [ "PairNodeSwapActiveOperator", "classoperations__research_1_1_pair_node_swap_active_operator.html", "classoperations__research_1_1_pair_node_swap_active_operator" ],
      [ "RelocateSubtrip", "classoperations__research_1_1_relocate_subtrip.html", "classoperations__research_1_1_relocate_subtrip" ],
      [ "ExchangeSubtrip", "classoperations__research_1_1_exchange_subtrip.html", "classoperations__research_1_1_exchange_subtrip" ]
    ] ],
    [ "Files", "files.html", null ]
  ] ]
];

var NAVTREEINDEX =
[
"index.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';